apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    team: walrus
    system: job-ads
    component: jobsearch-importer
    environment: prod-stdby
  name: jobsearch-importers-prod-stdby
  namespace: openshift-gitops
spec:
  destination:
    namespace: jobsearch-apis-prod-stdby
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/prod-stdby
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/jobsearch-importers-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
